package edu.jhmi.telometer.bean;

import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
public class Mask {

    private List<Boolean> bools;
    private Dimension dimension;


    public boolean isPositionInMask(int i){
        return bools.get(i);
    }

    public int size(){
        return bools.size();
    }
}
