package edu.jhmi.telometer.calc.api;

import edu.jhmi.telometer.bean.Dimension;
import edu.jhmi.telometer.bean.Image;
import edu.jhmi.telometer.bean.Pixelation;
import ij.ImagePlus;



public interface ImagePlusConvertUtil {

    Image imagePlusToImage(ImagePlus imagePlus);
    short[] pixelationToShortArray(Pixelation pixelation);
    byte[] convertImagePlusToTiffBytes(ImagePlus imagePlus);
    Dimension imagePlusToDimension(ImagePlus imagePlus);
    String getReasonImagePlusNotAcceptable(ImagePlus imagePlus);


}
