package edu.jhmi.telometer.util;

import edu.jhmi.telometer.interfce.Named;

import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import java.util.Collections;
import java.util.List;
import java.util.Vector;

public class ComboBoxUtil {
    public static final Named[] DEFAULT_ITEMS = {new DummyNamed()};

    public static DefaultComboBoxModel listToComboBoxModel(List<? extends Named> nameds){
        Vector vector = new Vector(nameds);
        Collections.sort(vector, new NamedComparator());
        return new DefaultComboBoxModel(vector);
    }

    private static class DummyNamed implements Named{
        private static final String NAME = "----NOT INITIALIZED----";

        @Override
        public String getName() {
            return NAME;
        }

        @Override
        public void setName(String name) {
            throw new RuntimeException("can't set defaultNamed");
        }

        @Override
        public Long getId() {
            return null;
        }

        @Override
        public void setId(Long id) {
            throw new RuntimeException("can't set id");
        }
    }

}
