package edu.jhmi.telometer.util;

import ij.ImageJ;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class MainInit {

    private static boolean isHeadlessInitted = false;
    private static boolean isImagejInitted = false;

    public static void initHeadless(){
        if (isHeadlessInitted){
            return;
        }
        System.setProperty("java.awt.headless", "false"); //spring boot sets headless to true
        isHeadlessInitted = true;
    }

    public static void initImageJ(){
        if (isImagejInitted){
            return;
        }
        log.info("initing imageJ");
        ImageJ imageJ  = new ImageJ();
        //imageJ.setVisible(false); //don't let the user accidentally close an image using the ImageJ API
        isImagejInitted = true;
    }


}
