package edu.jhmi.telometer.bean;


import ij.gui.Roi;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

@Data
@Builder
public class NucleusEntry {
    private TissueType tissueType;
    private LesionType lesionType;
    private CellType cellType;
    private String name;
    private Integer cellCount;
    private String notes;

    private Roi roi;

    @Tolerate
    public NucleusEntry(){

    }

    public String toString(){
        return name;
    }
}

