package edu.jhmi.telometer.bean;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.ArrayList;
import java.util.List;

@Data
@Builder
public class Pixelation { //yeah, this is misnamed -- I know that pixelation means something else
    private List<Integer> pixels;

    @Tolerate
    public Pixelation(){

    }

    public static Pixelation copy(Pixelation pixelation) {
        return Pixelation.builder().pixels(new ArrayList(pixelation.getPixels())).build();
    }
}
