package edu.jhmi.telometer.calc.api;

import edu.jhmi.telometer.bean.LookupTables;
import edu.jhmi.telometer.bean.Mask;
import edu.jhmi.telometer.bean.Model;
import edu.jhmi.telometer.bean.NucleusEntry;
import edu.jhmi.telometer.bean.Point;
import edu.jhmi.telometer.bean.ScoreParams;
import edu.jhmi.telometer.bean.ScoreResults;
import edu.jhmi.telometer.bean.Scoring;

public interface GeneralUtil {



    String findDefaultImageTag();

    boolean isTagAlreadyUsed(String tag);

    long calcCy3Noise1000(NucleusEntry nucleusEntry, Model model);

    ScoreResults calcScoreResults(ScoreParams scoreParams, Model model);

    void dumpScoreResultsToDatabase(ScoreResults scoreResults);

    LookupTables lookupTables();


}
