package edu.jhmi.telometer.calc.api;

import edu.jhmi.telometer.bean.Dimension;
import edu.jhmi.telometer.bean.Point;
import edu.jhmi.telometer.bean.Rect;

import java.awt.Rectangle;

public interface PositionConvertUtil {

    Rect rectangleToRect(Rectangle rectangle);
    int pointToPosition(Point point, Dimension dimension);
    Point positionToPoint(int position, Dimension dimension);

    Point rectPointToAbsolutePoint(Rect rect, Point relativePoint);

    Dimension rectToDimension(Rect rect);
}
