package edu.jhmi.telometer.repo;

import edu.jhmi.telometer.interfce.Named;
import org.springframework.data.repository.NoRepositoryBean;
import org.springframework.data.repository.Repository;

import java.util.List;
import java.util.Set;

@NoRepositoryBean
public interface GeneralRepo<T> extends Repository<T, Long> {


    T save(T object);

    List<T> saveAll(Iterable<T> objects);

    List<T> findAll();

    void delete(T object);

    void deleteAll();


}
