package edu.jhmi.telometer.util;

import ij.gui.ImageWindow;

import javax.swing.JDialog;
import java.awt.Component;
import java.awt.Frame;
import java.awt.Point;
import java.awt.Window;

public class FrameUtil {


    public static void setRelativeLocation(Window window, Component parent){
        Point point = parent.getLocation();
        window.setLocation((int) point.getX() + 75, (int) point.getY() + 50);
    }

    public static void setInitialLocation(Window window){
        window.setLocation(75, 50);
    }

    public static void setImageWindowLocation(ImageWindow imageWindow) {
        imageWindow.setLocation(200, 0);
    }
}
