# Changelog


 * v1.08 -- modified config files to point to the new server (bui2 instead of gounod). Versions before this will no longer work.

 * v1.09 -- fixed telometer to run outside JHU where it won't have access to the database. added installation instructions.

 * v1.10 -- fixed the new session button; other minor changes such as having sample images available and printing a confirmation.

 * v1.11 -- fixed problem where short values weren't converting to unsigned integers. This caused negative numbers in the results.

 * v1.12 -- compiled telometer with a java 5 target instead of java 6. This should avoid the UnsupportedClassVersionError that was appearing for users using java 5. Java 6 users won't be affected.

 * v1.13 -- when clicking CTRL-C to copy a table, column-names are also copied.  JTables no longer auto-adjust columns.  Source code is included in jars.

 * v1.14 -- Updated telometer to use v1.40 of ImageJ and version 3.0 of TMAJ's jAnyDatabase package.  Adding logging to telometer using log4j.   (2008-09-22)

 * v1.15 -- Created Telometer for use by third parties.  Allow third parties to set config file for database and images server.  Added documentation on server setup (2008-10-07)

 * v1.16 -- Fixed an error where cells were undisplayed in the admin application if they had no spots. Perform server test when application loads.  (2008-11-03)

 * v1.17 -- In the admin application, for the long format, the image dapi name and cell name will be printed for each group of spots.  (2008-11-19)

 * v1.18 -- In the admin application, several more fields are printed including CellID and SpotID.  New GUI opening for the admin application.   Users are prompted if they close Telometer without saving to database.  TelometerCounter window is now hidden to avoid confusion and annoyance.   Fixed saveToDatabase button so spots are only saved once.  Added prompt to warn users if they exit save dialog without pressing the save to database button.   Added unique constraints and foreign keys to database.  (2008-12-01)

 * v1.19 -- When copying data from the data table using CTRL-C, special characters cut the output short.  This affected both the summary and long format.  (2008-12-11)

 * v1.20 -- Display various error messages in a dialog so they are not silently logged.  Added useful error messages. (2009-01-06)

 * v1.21 -- Fixed location of x & y coordinates on overlay image. Upgrade to ImageJ 1.42q. Added documentation. Software now using: Hibernate, slf4j. (2010-04-13)

 * v1.22 -- Warn users right away if they forget to normalize image. When adding a nucleus, remember the previous values. Do not allow users to not choose a project and sub-project. In the previous version if this step was skipped or there was an error because a non-unique value was chosen for a sub-project, the very last step in Telometer would fail. Database writes are clearly logged. Fixed "missing window error". (2010-04-23)

 * v1.23 -- If the database connection was not valid, the "skip login" button didn't start the main application. (2010-09-07)

 * v1.24 -- Cells with no telomeres were recorded in the database but not displayed in the reports. (2010-09-09)

 * v1.25 -- The XML presets updated to the JHU database values. (2011-07-20)

 * v1.26 -- NullPointerException fixed when clicking "Save to File" button. (2011-07-20)

 * v1.27 -- Move server from bui2 to bui3, with fix (2012-03-22)

 * v2.0.0 -- Add security to remote calls; Enable Telometer to be accessed from outside network.  Old versions will no longer work with JHU version. (2012-12-15)

 * v2.1.0 -- Enable non-admin users to query results. (2013-01-21)

 * v2.1.1 -- Fix bug in admin where new users could not be added. (2013-02-10)

 * v2.1.2 -- Bug fix.  Users had to log on twice if database connection expired.  Update password-tries.  (2013-02-17)
 
 * v2.1.4 -- Update password logging for debugging purposes.  Fix rolling logger. (2013-06-02)

 * v3.0.1 -- New "server-less" version of Telometer. Telometer no longer uses a server, and thus a username
 and password is no longer needed.  Telometer can now be used from anywhere, whereas before users had to connect
 to a Johns Hopkins server.  All user data is now stored on the user's own local computer and NOT remotely.  
 Thus users must do their own backups.  (2020-05-03)

 * v3.0.2 -- hook up presets; other minor fixes; (2020-05-10)
 
 * v3.0.3 -- imagePlus window closing bug fix (2020-05-17)
 
 * v3.0.4 -- include aggregate stats for telomeres in cell calculations. Add more detailed tool tips. (2020-08-16)
 
 * v3.0.5 -- when circling cell nucleii in the DAPI image, also show CY3 image (2020-08-28)

 * v3.0.6 -- upgrade library dependencies (2022-02-25)
 
 * v3.1.0 -- update h2 database; add error dialog if out of memory (2022-10-08)
